Python
from everos_cloud import EverOS
client = EverOS()
obj = client.v1.object
response = obj.sign(
object_list=[
{
"file_id": "<string>",
"file_name": "<string>",
"file_type": "<string>"
}
]
)
print(response)curl --request POST \
--url 'https://api.evermind.ai/api/v1/object/sign' \
--header 'Authorization: Bearer <api_key>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectList: [{fileName: '<string>', fileId: '<string>'}]})
};
fetch('https://api.evermind.ai/api/v1/object/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"request_id": "<string>",
"status": 123,
"result": {
"data": {
"objectList": [
{
"fileName": "<string>",
"fileId": "<string>",
"objectKey": "<string>",
"objectSignedInfo": {
"url": "<string>",
"fields": {},
"maxSize": 123
}
}
]
}
}
}{
"error": "参数验证失败",
"request_id": "uuid-here",
"status": 2018,
"result": {
"data": "objectList: non zero value required"
}
}{
"error": "<string>",
"request_id": "<string>",
"status": 123,
"result": {
"data": {
"objectList": [
{
"fileName": "<string>",
"fileId": "<string>",
"objectKey": "<string>",
"objectSignedInfo": {
"url": "<string>",
"fields": {},
"maxSize": 123
}
}
]
}
}
}Storage
Upload multimodal data
Generate a pre-signed S3 upload URL for multimodal content. Upload signature valid for 15 minutes, download signature valid for 7 days.
POST
/
api
/
v1
/
object
/
sign
Python
from everos_cloud import EverOS
client = EverOS()
obj = client.v1.object
response = obj.sign(
object_list=[
{
"file_id": "<string>",
"file_name": "<string>",
"file_type": "<string>"
}
]
)
print(response)Note: This endpoint is a transparent proxy to MMS. Request body must use
{objectList: [...]} array wrapper. Response and error format follow MMS conventions (not the standard ErrorResponse schema used by other endpoints).Authorizations
Bearer authentication header of the form Bearer 'api_key', obtain your API key from everos.evermind.ai.
Body
application/json
List of files to sign (supports batch signing)
Minimum array length:
1Show child attributes
Show child attributes
Was this page helpful?
⌘I

